post
https://your.custom.endpoint.com/upi_pdn_status
This callback is triggered by Decentro to the platform when a debit request is executed
Overview
Decentro triggers this callback to a pre-configured endpoint after a PDN is executed using the Pre-debit Notiifaction API The status of the PDN itself could be success or failure.
The platform can have the callback endpoints whitelisted by dropping a mail to [email protected].
Flow
Below is the flow for using this callback.
- The platform triggers the PDN using the Pre-debit Notification API
- Decentro triggers this callback to the configured endpoints of the platform as soon as a terminal status (Success/Failure) is received
- The platform can alternatively check the status of the PDN using the Get Pre-debit Notification Status API.
Decentro triggers the callback for the below scenarios.
- Successful PDN
- Failure PDN
API Endpoints
Below are the API endpoints that can be configured by Decentro for receiving the callbacks.
| Environment | Endpoint |
|---|---|
| Staging / Sandbox | https://your.custom.endpoint.com |
| Production | https://your.custom.endpoint.com |
